FROM artefact.skao.int/ska-cicd-k8s-tools-build-deploy:0.13.3 

WORKDIR /ska-sdp-distributed-self-cal-prototype

# Install poetry
RUN python3 -m pip install --upgrade pip setuptools wheel
RUN python3 -m pip install --user pipx
RUN python3 -m pipx ensurepath
RUN pipx install poetry

COPY . .

# Install python dependencies
RUN poetry config virtualenvs.create false
RUN poetry install --all-extras

ENTRYPOINT ["/bin/bash"]